=== debian/changelog ===
wxglade (1.0.1-1) unstable; urgency=medium

  * new upstream version
  * updated the debian patches
  * modified wxglade.install to use icons/wxglade.png
  * added a debian patch to fix wxGlade.desktop

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 28 Jan 2021 20:09:34 +0100
