## wxglade 1.0.2

=== debian/changelog ===
wxglade (1.0.2-1) unstable; urgency=medium

  * new upstream release

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 18 Aug 2021 12:12:31 +0200
