## wxglade 1.0.4

=== debian/changelog ===
wxglade (1.0.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Strip unusual field spacing from debian/control.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Contact,
    Repository-Browse.
  * Use canonical URL in Vcs-Browser, Vcs-Git.
  * Update standards version to 4.6.1, no changes needed.

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 19:41:44 +0100

wxglade (1.0.4-1) unstable; urgency=medium

  * new upstream release

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 22 Jan 2022 19:10:29 +0100
