## wxglade 1.0.5+repack

=== debian/changelog ===
wxglade (1.0.5+repack-2) unstable; urgency=medium

  * upload to unstable

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 11 Jun 2023 13:19:02 +0200

wxglade (1.0.5+repack-1) experimental; urgency=medium

  * New upstream version 1.0.5+repack
  * Bumped Standards-Version: 4.6.2
  * refreshed debian patches
  * modified d/copyright and d/watch to exclude static JS files
  * updated lintian overrides

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 01 May 2023 17:46:06 +0200
