=== debian/watch ===
version=4

opts="dversionmangle=auto, \
   repacksuffix=+repack, repack, \
   filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%wxGlade-$1.tar.gz%" \
   https://github.com/wxGlade/wxGlade/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
