## wxglade 1.1.0a3+repack

=== debian/changelog ===
wxglade (1.1.0a3+repack-1) unstable; urgency=medium

  * fixed debian/watch
  * new upstream version 1.1.0a3... really git snapshot taken today
  * this upstream version includes a fix, which Closes: #1072244

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 31 May 2024 12:44:16 +0200
