## wxglade 1.1.0+repack

=== debian/changelog ===
wxglade (1:1.1.0+repack-1) unstable; urgency=medium

  * fixed the mangling of upstream version
  * New upstream version 1.1.0+repack. Closes: #1092493

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 09 Jan 2025 18:47:15 +0100

wxglade (1.1.a2+repack-2) UNRELEASED; urgency=medium

  * Commented out the statement @misc.restore_focus, in file notebook.py,
    which refers to no source in the module misc

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 09 Jan 2025 18:22:41 +0100

wxglade (1.1.a2+repack-1) unstable; urgency=medium

  * New upstream version 1.1.a2+repack

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 15 Nov 2024 16:57:52 +0100
