## wxglade 1.1.1+repack

=== debian/changelog ===
wxglade (1:1.1.1+repack-1) unstable; urgency=medium

  * New upstream version 1.1.1+repack

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 11 Feb 2025 08:25:54 +0100
