=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python, python3-all
-Standards-Version: 4.6.1
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-python,
+ python3-all
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/georgesk/wxglade
 Vcs-Git: https://salsa.debian.org/georgesk/wxglade.git
