=== debian/watch ===
version=4

opts="dversionmangle=auto, \
   repacksuffix=+repack, repack, \
   uversionmangle=s/([ab])/~$1/, \
   dversionmangle=s/\.([ab])/~$1/, \
   filenamemangle=s%(?:.*?)?v?(\d[\d.a]*)\.tar\.gz%wxGlade-$1.tar.gz%" \
   https://github.com/wxGlade/wxGlade/tags \
   (?:.*?/)?v?(\d[\d.a]*)\.tar\.gz
